#ifndef LIBSARIA_PLAYLIST_STACK_H
#define LIBSARIA_PLAYLIST_STACK_H

#include <libsaria/playlist.h>

#include <list>
using namespace std;

#define MAX_PLAYLISTS 10

enum AutoPauseType {
	PS_NONE,
	PS_AFTER_N,
};

namespace libsaria
{

	namespace deck
	{

		void push_front(Playlist *);
		void push_back(Playlist *);
		void garbage_collect();

		void next();
		void prev();
		void init();

		Playlist *new_playlist(list<Track *> &, PlaylistType, bool);
		void delete_playlist(Playlist *);
		unsigned int move_playlist(Playlist *, unsigned int);

		Playlist *get_playlist(unsigned int);
		Playlist *get_recent_plist();

		void list_recent(Track *);
		void tracks_removed(list<Track> &);

		void set_pause_type(AutoPauseType, unsigned int);
		AutoPauseType get_pause_type();
		unsigned short get_pause_count();

		void load_all();

	};

	void set_on_new_playlist(void (*)(Playlist *));

}; /* Namespace: libsaria */

#endif /* LIBSARIA_PLAYLIST_STACK_H */
