#ifndef LIBSARIA_INDEX_H
#define LIBSARIA_INDEX_H

#include <map>
#include <set>
#include <string>
using namespace std;

namespace libsaria
{

	class Track;

	class Index {
		private:
			set<Track *> results;
			set<string> *terms;
			map<string, set<Track *> > artist;
			map<string, set<Track *> > album;
			map<string, set<Track *> > title;

		public:
			Index();
			~Index();

			static void print_stats();

			void add_track(Track *);
			void remove_track(Track *);
			void do_filter(string &);
			bool is_visible(Track *);
	};

}; /* Namespace: libsaria */
#endif /* LIBSARIA_INDEX_H */
