#ifndef LIBSARIA_LIBRARY_H
#define LIBSARIA_LIBRARY_H

#include <libsaria/fs.h>
#include <libsaria/playlist.h>

#include <string>
using namespace std;

namespace libsaria
{

	class Track;

	namespace library
	{

		struct Path {
			bool visible;
			DataState data_state;
			unsigned int id;
			unsigned int next_track;
			string path;
			list<Track> tracks;
		};

		class Driver {
			public:
				Driver();
				~Driver();

				virtual void path_added(Path *) = 0;
				virtual void path_updated(Path *) = 0;
				virtual void path_removed(Path *) = 0;
		};

		void init();
		void add_path(string);
		void delete_path(Path *);
		void update_path(Path *);
		void save_path(Path *);

		void hide_path(Path *);
		void show_path(Path *);

		Track *lookup(unsigned int, unsigned int);
		Playlist *get_playlist();

	}
}

#endif /* LIBSARIA_LIBRARY_H */
