#ifndef LIBSARIA_PLAYLIST_RENDERER_H
#define LIBSARIA_PLAYLIST_RENDERER_H

#include <libsaria/playlist.h>

namespace libsaria
{
	class PlaylistRenderer {
		private:
			unsigned int flags;

		protected:
			Playlist *playlist;

		public:
			PlaylistRenderer(unsigned int);
			virtual ~PlaylistRenderer();
			void set_playlist(Playlist *);
			Playlist *get_playlist();
			virtual void renumbered(int);
			virtual void refilter();
			virtual void track_updated(Track *);

			bool is_static();
			virtual void prepare_for_removal();

			virtual void on_disable(bool);

			virtual void goto_index(unsigned int);

			virtual void modify_prepare();
			virtual void modify_done();
			virtual void insert(Track *, unsigned int);

			virtual void remove_index(unsigned int);
	};

}; /* Namespace: libsaria */

#endif /* LIBSARIA_PLAYLIST_RENDERER_H */
