#ifndef OCARINA_BODY_H
#define OCARINA_BODY_H

#include <ocarina/ocarina.h>
#include <libsaria/playlist.h>

GtkWidget *get_tabs();
GtkWidget *make_page(GtkWidget *);
void push_page(GtkWidget *, GtkWidget *, bool);
void remove_page(GtkWidget *);
void set_current_page(GtkWidget *);

namespace ocarina
{

	namespace body
	{

		void init();
		void add_page(int, GtkWidget *, GtkWidget *, libsaria::Playlist *);
		void remove_page(GtkWidget *);
		void switch_to_page(GtkWidget *);

		void set_idle_progress(float);
		void hide_idle_progress();

		void set_now_playing();
		void update_controls();
		void update_automatic_pause();
		void set_length_label_text(string &);

		GtkWidget *playlist_init();
		GtkWidget *footer_init();
		GtkWidget *now_playing_page();
		GtkWidget *pause_page();
		GtkWidget *general_page();
		GtkWidget *library_page();
	}

}; /* Namespace: ocarina */

#endif /* OCARINA_BODY_H */
