#ifndef OCARINA_BUTTON_H
#define OCARINA_BUTTON_H

#include <string>
using namespace std;

#include <ocarina/ocarina.h>

GtkWidget *get_image(const gchar *stockid, GtkIconSize size);
void change_button_image(GtkWidget *button, const char *stockid);

GtkWidget *make_button_data(const gchar *stockid,
			    void (* func)(GtkWidget *, gpointer),
			    gpointer data,
			    bool show);

GtkWidget *make_button(const gchar *stockid,
		       void (* func)(GtkWidget *, gpointer),
		       bool show);

GtkWidget *make_larger_button(const gchar *stockid,
		       void (* func)(GtkWidget *, gpointer),
		       bool show);

GtkWidget *make_text_button(const gchar *stockid,
			    string text,
			    void (* func)(GtkWidget *, gpointer),
			    bool show);

GtkWidget *make_toggle_button_data(const gchar *stockid,
				   void (*func)(GtkWidget *, gpointer),
				   gpointer data,
				   bool show);

GtkWidget *make_toggle_button(const gchar *stockid,
			      void (* func)(GtkWidget *, gpointer),
			      bool show);

GtkWidget *make_random_button();
GtkWidget *make_volume_button();

#endif /* OCARINA_BUTTON_H */
