// Copyright (c) 2012 Bryan Schumaker.
#include <libsaria/playlist.h>
#include <libsaria/ban.h>

static libsaria::Set banned_plist("Banned", PL_STATIC | PL_NO_DRAIN);

namespace libsaria
{

	Playlist *ban::get_banned_plist()
	{
		return &banned_plist;
	}

	void ban::track_banned(Track *track)
	{
		list<Track *> tracks;
		tracks.push_back(track);

		/* Remove from library playlist */
		library::get_playlist()->remove_tracks(tracks);

		/* Add to banned list */
		banned_plist.add_tracks(tracks);
	}

	void ban::track_unbanned(Track *track)
	{
		list<Track *> tracks;
		tracks.push_back(track);

		/* Remove from banned list */
		banned_plist.remove_tracks(tracks);

		/* Add to library playlist */
		library::get_playlist()->add_tracks(tracks);
	}

}
