// Copyright (c) 2011 Bryan Schumaker.
#include <libsaria/libsaria.h>
#include <libsaria/library.h>
#include <libsaria/format.h>
#include <libsaria/prefs.h>
#include <libsaria/print.h>
#include <libsaria/audio.h>
#include <libsaria/index.h>
#include <libsaria/track.h>
#include <libsaria/deck.h>
#include <libsaria/idle.h>
#include <libsaria/fs.h>

static libsaria::Track outside_track;

namespace libsaria
{

	void init(struct initdata *init)
	{
		srand( time(NULL) );
		println("Initializing libsaria");

		app::init(init->name);
		prefs::init();

		if (init->enable_idle)
			idle::enable();

		audio::init(init->argc, init->argv);
		libsaria::deck::init();
		libsaria::library::init();
		libsaria::deck::load_all();

		if (init->enable_pipe)
			app::open_pipe();

	}

	void quit()
	{
		println("Quitting libsaria");
		app::close_pipe();
		audio::quit();
		print_format_stats();
		Index::print_stats();
	}

	void play_outside_song(string &filepath)
	{
		try {
			outside_track = Track(filepath);
		} catch (string message) {
			println(message);
			return;
		}
		outside_track.load(true);
	}

};
