// Copyright (c) 2011 Bryan Schumaker
#include <ocarina/button.h>

static GtkWidget *get_toggle_button(void (* func)(GtkWidget *, gpointer),
				    gpointer data, bool show)
{
	GtkWidget *button = gtk_toggle_button_new();
	g_signal_connect(button, "toggled", G_CALLBACK(func), data);
	if (show == true)
		gtk_widget_show(button);
	return button;
}

GtkWidget *make_toggle_button_data(const gchar *stockid,
				   void (* func)(GtkWidget *, gpointer),
				   gpointer data,
				   bool show)
{
	GtkWidget *button = get_toggle_button(func, data, show);
	GtkWidget *image  = get_image(stockid, GTK_ICON_SIZE_MENU);
	gtk_button_set_image(GTK_BUTTON(button), image);
	return button;
}

GtkWidget *make_toggle_button(const gchar *stockid,
			      void (* func)(GtkWidget *, gpointer),
			      bool show)
{
	return make_toggle_button_data(stockid, func, NULL, show);
}
