// Copyright (c) 2011 Bryan Schumaker
#include <ocarina/playlist.h>
#include <ocarina/body.h>

#include <libsaria/library.h>
#include <libsaria/print.h>
#include <libsaria/deck.h>
#include <libsaria/ban.h>

static ocarina::Playlist library_renderer(PL_STATIC);
static ocarina::Playlist recent_renderer(PL_STATIC);
static ocarina::Playlist banned_renderer(PL_STATIC);

namespace ocarina
{

	void on_new_playlist(libsaria::Playlist *plist)
	{
		new Playlist(plist);
	}

	void playlist::switch_to_library()
	{
		library_renderer.switch_to();
	}

	void playlist::switch_to_recent()
	{
		recent_renderer.switch_to();
	}

	void playlist::switch_to_banned()
	{
		banned_renderer.switch_to();
	}

	void playlist::switch_to_plist(unsigned int n)
	{
		libsaria::Playlist *plist = libsaria::deck::get_playlist(n);
		ocarina::Playlist *renderer;

		if (plist)
			renderer = (ocarina::Playlist *)plist->get_renderer();
		if (renderer)
			renderer->switch_to();
	}

	void playlist::init()
	{
		libsaria::set_on_new_playlist(on_new_playlist);
		banned_renderer.set_playlist(libsaria::ban::get_banned_plist());
		recent_renderer.set_playlist(libsaria::deck::get_recent_plist());
		library_renderer.set_playlist(libsaria::library::get_playlist());
		library_renderer.switch_to();
	}

}; /* Namespace: ocarina */
